'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.copyStaticFiles = copyStaticFiles;
exports.fillPackageJson = fillPackageJson;
exports.renameBin = renameBin;
exports.initilizeModuleDirectory = initilizeModuleDirectory;

var _path = require('path');

var _cpr = require('cpr');

var _cpr2 = _interopRequireDefault(_cpr);

var _pify = require('pify');

var _pify2 = _interopRequireDefault(_pify);

var _jsonfile = require('jsonfile');

var _jsonfile2 = _interopRequireDefault(_jsonfile);

var _fs = require('fs');

var _partial = require('./partial.js');

var _partial2 = _interopRequireDefault(_partial);

var _partialCli = require('./partial-cli.js');

var _partialCli2 = _interopRequireDefault(_partialCli);

var _execa = require('execa');

var _execa2 = _interopRequireDefault(_execa);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var jf = (0, _pify2.default)(_jsonfile2.default);
var cp = (0, _pify2.default)(_cpr2.default);

function copyStaticFiles(_ref) {
  var path = _ref.path,
      cli = _ref.cli;

  return cp((0, _path.join)(__dirname, '../static/common'), path, { overwrite: true }).then(function () {
    return cli && cp((0, _path.join)(__dirname, '../static/cli'), path, { overwrite: true });
  });
}

function fillPackageJson(_ref2) {
  var path = _ref2.path,
      cli = _ref2.cli;

  var pkgPath = (0, _path.join)(path, 'package.json');

  return jf.readFile(pkgPath).catch(function (error) {
    if (error.code !== 'ENOENT') {
      return Promise.reject(error);
    }

    return (0, _execa2.default)('npm', ['init', '-y'], { cwd: path }).then(function () {
      return jf.readFile(pkgPath);
    });
  }).then(function (pkg) {
    var newPkg = _extends({}, pkg, _partial2.default);

    if (cli) {
      newPkg = _extends({}, newPkg, _partialCli2.default, { bin: `bin/${pkg.name}` });
      newPkg.description = newPkg.description || `${pkg.name} cli`;
    }

    return jf.writeFile(pkgPath, newPkg, { spaces: 2 });
  });
}

function renameBin(_ref3) {
  var path = _ref3.path;

  return jf.readFile((0, _path.join)(path, 'package.json')).then(function (_ref4) {
    var name = _ref4.name;
    return (0, _pify2.default)(_fs.rename)((0, _path.join)(path, 'bin', 'module-starter'), (0, _path.join)(path, 'bin', name));
  });
}

function initilizeModuleDirectory(_ref5) {
  var path = _ref5.path,
      cli = _ref5.cli;

  return copyStaticFiles({ path, cli }).then(function () {
    return fillPackageJson({ path, cli });
  }).then(function () {
    return cli ? renameBin({ path }) : Promise.resolve();
  });
}
//# sourceMappingURL=index.js.map